tvbrowser.core.filters

## Class UserFilter

- java.lang.Object
- - tvbrowser.core.filters.UserFilter

- All Implemented Interfaces:
    ProgramFilter

      public class UserFilter
      extends java.lang.Object
      implements ProgramFilter

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserFilter(java.io.File file)`
    `UserFilter(java.lang.String name)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accept(Program prog)`
    `boolean` | `acceptableForFilterFavorite()`
    `boolean` | `containsRuleComponent(java.lang.String comp)`
    `void` | `delete()`
    `boolean` | `equals(java.lang.Object o)`
    `java.lang.String` | `getName()`
    `java.lang.String` | `getRule()`
    `void` | `setName(java.lang.String name)`
    `void` | `setRule(java.lang.String rule)`
    `void` | `store()`
    `void` | `store(java.lang.String directoy, java.lang.String fileName)`
    `static void` | `testTokenTree(java.lang.String rule)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UserFilter

          public UserFilter(java.lang.String name)

    - #### UserFilter

          public UserFilter(java.io.File file)
                     throws ParserException

      Throws:
        `ParserException`

  - ### Method Detail

    - #### store

          public void store()

    - #### store

          public void store(java.lang.String directoy,
                   java.lang.String fileName)

    - #### delete

          public void delete()

    - #### testTokenTree

          public static void testTokenTree(java.lang.String rule)
                                    throws ParserException

      Throws:
        `ParserException`

    - #### accept

          public boolean accept(Program prog)

      Specified by:
        `accept` in interface `ProgramFilter`
      Parameters:
        `prog` - the program to be checked
      Returns:
        true, if the filter accepts the specified program

    - #### setName

          public void setName(java.lang.String name)

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `ProgramFilter`
      Returns:
        the name of this filter

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in interface `ProgramFilter`
      Overrides:
        `toString` in class `java.lang.Object`

    - #### setRule

          public void setRule(java.lang.String rule)
                       throws ParserException

      Throws:
        `ParserException`

    - #### getRule

          public java.lang.String getRule()

    - #### containsRuleComponent

          public boolean containsRuleComponent(java.lang.String comp)

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### acceptableForFilterFavorite

          public boolean acceptableForFilterFavorite()

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)